// Vars
$font-family: 'Arial', sans-serif;
$color-white: #ffffff;
$color-black: #000000;
$color-theme-light: #dddddd;
$color-theme-dark: #222222;
$color-grey-light: #cccccc;
$color-grey-dark: #555555;

* {
  box-sizing: border-box;
  padding: 0;
  margin: 0;
  border: 0;
  font-family: $font-family;
}

html,
body {
  width: 100%;
  height: 100%;
}

body {
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: $color-theme-dark;

  @media (max-width: 560px) {
    flex-direction: column;
  }
}

.logo {
  &-light,
  &-dark {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 50%;
    height: 100%;

    @media (max-width: 560px) {
      width: 100%;
      height: auto;
    }
  }
}

svg {
  width: 380px;

  @media (max-width: 1024px) {
    width: 200px;
  }
}

// stylelint-disable selector-max-specificity
.logo-light {
  background-color: $color-theme-dark;

  #logo-light {
    path {
      fill: transparent;
      stroke: $color-theme-light;
      stroke-width: 1px;
    }

    #path-light-1 {
      stroke-dasharray: 177;
      stroke-dashoffset: 177;
      animation: logoLight 3s linear 0s infinite normal forwards, lightColor1 3s linear 0s infinite normal forwards;
    }

    #path-light-2 {
      stroke-dasharray: 278.5;
      stroke-dashoffset: 278.5;
      animation: logoLight 3s linear 0s infinite normal forwards, lightColor2 3s linear 0s infinite normal forwards;
    }

    #path-light-3 {
      stroke-dasharray: 757.1;
      stroke-dashoffset: 757.1;
      animation: logoLight 3s linear 0s infinite normal forwards, lightColor2 3s linear 0s infinite normal forwards;
    }

    #path-light-4 {
      stroke-dasharray: 116.9;
      stroke-dashoffset: 116.9;
      animation: logoLight 3s linear 0s infinite normal forwards, lightColor2 3s linear 0s infinite normal forwards;
    }

    #path-light-5 {
      stroke-dasharray: 177.1;
      stroke-dashoffset: 177.1;
      animation: logoLight 3s linear 0s infinite normal forwards, lightColor1 3s linear 0s infinite normal forwards;
    }

    #path-light-6 {
      stroke-dasharray: 1353.4;
      stroke-dashoffset: 1353.4;
      animation: logoLight 3s linear 0s infinite normal forwards, lightColor2 3s linear 0s infinite normal forwards;
    }
  }

  @keyframes logoLight {
    75% {
      stroke-dashoffset: 0;
      stroke-width: 1px;
    }

    90%,
    100% {
      stroke-dashoffset: 0;
      stroke-width: 0;
    }
  }

  @keyframes lightColor1 {
    75% {
      fill: transparent;
    }

    90%,
    100% {
      fill: $color-grey-dark;
    }
  }

  @keyframes lightColor2 {
    75% {
      fill: transparent;
    }

    90%,
    100% {
      fill: $color-white;
    }
  }
}

.logo-dark {
  background-color: $color-theme-light;

  #logo-dark {
    path {
      fill: transparent;
      stroke: $color-theme-dark;
      stroke-width: 1px;
    }

    #path-dark-1 {
      stroke-dasharray: 177;
      stroke-dashoffset: 177;
      animation: logoDark 3s linear 0s infinite normal forwards, darkColor1 3s linear 0s infinite normal forwards;
    }

    #path-dark-2 {
      stroke-dasharray: 278.5;
      stroke-dashoffset: 278.5;
      animation: logoDark 3s linear 0s infinite normal forwards, darkColor2 3s linear 0s infinite normal forwards;
    }

    #path-dark-3 {
      stroke-dasharray: 757.1;
      stroke-dashoffset: 757.1;
      animation: logoDark 3s linear 0s infinite normal forwards, darkColor2 3s linear 0s infinite normal forwards;
    }

    #path-dark-4 {
      stroke-dasharray: 116.9;
      stroke-dashoffset: 116.9;
      animation: logoDark 3s linear 0s infinite normal forwards, darkColor2 3s linear 0s infinite normal forwards;
    }

    #path-dark-5 {
      stroke-dasharray: 177.1;
      stroke-dashoffset: 177.1;
      animation: logoDark 3s linear 0s infinite normal forwards, darkColor1 3s linear 0s infinite normal forwards;
    }

    #path-dark-6 {
      stroke-dasharray: 1353.4;
      stroke-dashoffset: 1353.4;
      animation: logoDark 3s linear 0s infinite normal forwards, darkColor2 3s linear 0s infinite normal forwards;
    }
  }

  @keyframes logoDark {
    75% {
      stroke-dashoffset: 0;
      stroke-width: 1px;
    }

    90%,
    100% {
      stroke-dashoffset: 0;
      stroke-width: 0;
    }
  }

  @keyframes darkColor1 {
    75% {
      fill: transparent;
    }

    90%,
    100% {
      fill: $color-grey-light;
    }
  }

  @keyframes darkColor2 {
    75% {
      fill: transparent;
    }

    90%,
    100% {
      fill: $color-black;
    }
  }
}
